version: '3.9'
services:
  mysql:
    image: mysql:5.7
    ports:
      - 3311:3306
    environment:
      - MYSQL_DATABASE=tasksDB
      - MYSQL_ROOT_PASSWORD=password
    volumes:
      - ./mysql_db_dev:/var/lib/mysql
    restart: always

  mongodb:
    image: mongo:4.2.12-bionic
    ports:
      - 27020-27022:27017-27019
    volumes:
      - ./mongo_db_dev:/data/db
    environment:
      # Enviroment variables for securize MongoDB
      - MONGO_INITDB_DATABASE=tasksDB
      - MONGO_INITDB_ROOT_USERNAME=mongoadmin
      - MONGO_INITDB_ROOT_PASSWORD=secret
    restart: always

  rabbitmq:
    image: rabbitmq:3-management
    ports:
      - 5672:5672
      - 15672:15672
    environment:
      # Enviroment variables for securize RabbitMQ
      - RABBITMQ_DEFAULT_USER=root
      - RABBITMQ_DEFAULT_PASS=password
    volumes:
      - ./rabbitmq_dev:/var/lib/rabbitmq
    restart: always